#include "lic.h"


void CreateVectorField( int W, int H, T_VectorField& Result )
{
	Vector3D Hor( 1, 0, 0 );
	Vector3D Vert( 0, 1, 0 );
	Result.Init( W, H );
	for( int j=0 ; j<H ; ++j )
	{
		for( int i=0 ; i<W ; ++i )
		{
			if( ( (i%32) < 16 && (j%32) < 16 ) || (i%32) >= 16 && (j%32) >= 16 )
				Result.Access( i, j ) = Hor;
			else
				Result.Access( i, j ) = Vert;
		}
	}
}


int main( int argc, char** argv )
{
	if( argc != 4 )
	{
		cout << "usage : " << argv[0] << " image_in length image_out" << endl;
		return 1;
	}



	try
	{
		LIC MyLIC;
		T_VectorField VF;

		MyLIC.LoadVectorField( argv[1] );

		MyLIC.DoDDA( atoi( argv[2] ) );

		MyLIC.SaveResult( argv[3] );
	}
	catch( Exception& e )
	{
		cout << "Exception occured : " << e << endl;
		return 1;
	}

	return 0;
}
